#
# spec file for package gnome-tetravex
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-tetravex
Version:        3.22.0
Release:        2.1
Summary:        Tetravex Game for GNOME
License:        GPL-2.0-or-later
Group:          Amusements/Games/Board/Puzzle
URL:            https://live.gnome.org/Tetravex
Source:         http://download.gnome.org/sources/gnome-tetravex/3.22/%{name}-%{version}.tar.xz
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.50
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(glib-2.0) >= 2.40.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.13.2
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:  pkgconfig(vapigen) >= 0.24
Recommends:     %{name}-lang
# gnome-tetravex used to be called 'gnotravex' and was part of gnome-games until 3.7.x
Obsoletes:      gnotravex < %{version}
Obsoletes:      gnotravex-lang < %{version}
%glib2_gsettings_schema_requires

%description
Tetravex is a simple puzzle game in which pieces have numbers on each
side. The pieces must be positioned so that the same numbers touch
each other, during which you are being timed. The times are then
stored in a system-wide scoreboard.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file %{name}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post
%icon_theme_cache_post HighContrast

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun
%icon_theme_cache_postun HighContrast

%files
%license COPYING
%doc NEWS
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%dir %{_datadir}/appdata
%{_datadir}/appdata/gnome-tetravex.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.tetravex.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man6/%{name}.6%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Wed Sep 21 2016 zaitor@opensuse.org
- Update to version 3.22.0:
  + Updated translations.
* Mon Aug 15 2016 zaitor@opensuse.org
- Update to version 3.21.90:
  + Updated gettext head files.
* Mon Jul 18 2016 zaitor@opensuse.org
- Update to version 3.21.4:
  + Updated translations.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + No changes, version bump only.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + Updated translations.
* Tue Feb 16 2016 dimstar@opensuse.org
- Update to version 3.19.90:
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Tue Sep 15 2015 zaitor@opensuse.org
- Update to version 3.17.92:
  + No changes, pure version bump.
* Wed Sep  2 2015 dimstar@opensuse.org
- Update to version 3.17.91:
  + icon: provide a symbolic variant of the app icon (bgo#747135).
  + Updated translations.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Updated translations.
* Mon Dec  1 2014 badshah400@gmail.com
- Update to version 3.15.2:
  + gtk changes (accels, version bump, gresource).
  + Updated translations.
* Tue Sep 23 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Updated translations.
* Mon Sep 15 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Updated translations.
* Mon Sep  1 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + Updated translations.
* Mon Aug 18 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Updated translations.
* Mon Jul 21 2014 dimstar@opensuse.org
- Update to version 3.13.4:
  + Added command line options.
  + Appdata Updates.
  + Updated requirements, general fixup.
  + Design Updates.
  + Updated translations.
* Wed Jul  2 2014 zaitor@opensuse.org
- Update to version 3.13.1:
  + Require GTK+ 3.12, Vala 0.24.
  + Updated translations.
- Add pkgconfig(vapigen) BuildRequires: New dependency.
* Wed Jul  2 2014 zaitor@opensuse.org
- Update to version 3.12.3:
  + Restore Ctrl+Arrow hotkeys for moving all pieces at once.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Updated translations.
* Tue Apr 15 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Updated translations.
* Sun Mar 23 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Wed Mar 19 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Updated translations.
* Mon Mar  3 2014 dimstar@opensuse.org
- Update to version 3.11.91:
  + Updated translations.
* Mon Feb 17 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + Combined Solve and new Game-Buttons.
  + Disable pause button when not useful.
* Mon Feb  3 2014 zaitor@opensuse.org
- Update to version 3.11.5:
  + Changed About dialog.
  + Fixed instructions.
  + Updated translations.
* Mon Jan 13 2014 dimstar@opensuse.org
- Update to version 3.11.4:
  + Updated About dialog.
  + Updated translations.
* Mon Dec 16 2013 dimstar@opensuse.org
- Update to version 3.11.3:
  + Scores dialog: autoscroll to new score.
  + Move the fallback app menu into the headerbar, standardize
    Help/About/Quit.
  + Changed dependencies (Vala 0.22, GTK+ 3.10).
  + appdata: update homepage.
  + Updated translations.
* Tue Nov 19 2013 dimstar@opensuse.org
- Update to version 3.11.2:
  + Check for *-validate before using it.
  + Run autoupdate.
  + Updated translations.
* Wed Oct 30 2013 dimstar@opensuse.org
- Update to version 3.11.1:
  + The UI has undergone a significant redesign.
  + Fix Pause button image getting out of sync after starting a new
    game.
  + Appdata is now translatable.
  + Updated translations.
* Mon Oct 14 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + On new game make sure the pause button is set correctly.
  + Update button states after clicking the paused field.
  + Updated translations.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Updated translations.
* Mon Sep 16 2013 dimstar@opensuse.org
- Update to version 3.9.92:
  + Add an appdata file.
  + Updated translations.
* Wed Aug 21 2013 zaitor@opensuse.org
- Update to version 3.9.90:
  + Reduce the width of the about dialog.
  + Updated translations.
* Mon Apr 15 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Updated translations.
* Mon Apr  8 2013 dimstar@opensuse.org
- Also obsolete -lang package.
* Wed Mar 27 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
- Add icon_theme_post/postun calls for the new HighContrast icons.
* Tue Mar  5 2013 dimstar@opensuse.org
- Initial package, version 3.7.90: split-off from gnome-games.
